Retrieve a lookup Run in API Explorer
Ask AI
Try to find a Lookup value for a specific type.
GET
/api/v1/lookups/{type}/{lookup}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lookups/provider_statement_mapping/architecto' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "e59f2a61-e357-4d26-9d6f-aecb478972ae",
"created_at": "2026-11-19T12:59:41+00:00",
"updated_at": "2026-11-19T12:59:41+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "de73b91d-2e72-4c0a-8526-ec5ee74e9ef2",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "a07e3a18-cc21-4e1b-9cfd-a703601f328e",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
]
}